.\"	$NetBSD: lp.4,v 1.7 2001/08/18 14:37:48 wiz Exp $
.\"
.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)lp.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt LP 4 vax
.Os
.Sh NAME
.Nm lp
.Nd parallel line printer
.Sh SYNOPSIS
.Cd "lp0 at uba0 csr 0177514 vector lpintr"
.Sh DESCRIPTION
NOTE: This driver has not been ported from
.Bx 4.4
yet.
.Pp
The
.Nm lp
device
supports
.Tn DEC
and
.Tn DEC
compatible printers
on the
.Tn LP-11
parallel interface.
.Pp
The unit number of the printer is specified by the minor device
after removing the low 3 bits, which act as per-device parameters.
Currently only the lowest of the low three bits is interpreted:
if it is set, the device is assumed to have a 64-character set or
.Pf half Tn -ASCII
mode,
rather than a full 96-character set.
.Pp
If the 64-character set is assumed,
any lower case characters are mapped to upper case; left curly and
right curly braces are mapped to left and right parentheses over
laid with a hyphen; grave accents are mapped to acute accents
with overlaid with a hyphen; the pipe bar character is mapped
to an exclamation sign overlaid with a hyphen; and the tilde
character is mapped to a carat overlaid with a hyphen.
.Pp
The default page width is 132 columns; longer lines are
truncated.
This may be overridden by specifying, for example,
.Ql flags 256 .
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /dev/lp
.El
.Sh SEE ALSO
.Xr lpr 1
.Sh HISTORY
A
.Nm
driver appeared in
.At v6 .
